Paginated list of segments in your workspace
curl --request POST \
--url https://api.rallyuxr.com/api/public/v1/segments/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pageInfo": {
"size": 10
}
}
'import requests
url = "https://api.rallyuxr.com/api/public/v1/segments/search"
payload = { "pageInfo": { "size": 10 } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pageInfo: {size: 10}})
};
fetch('https://api.rallyuxr.com/api/public/v1/segments/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"segmentId": "<string>",
"name": "<string>"
}
],
"total": 123,
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "<string>",
"endCursor": "<string>"
}
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}"Unauthorized""Forbidden""Too Many Requests""Internal Server Error"Segments
Paginated list of segments in your workspace
Gets all segments in your workspace. Filtering currently not supported
POST
/
segments
/
search
Paginated list of segments in your workspace
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Pagination arguments. Use startCursor from the result of the endCursor of the response to get the next page. Pagination in reverse is not currently supported
Show child attributes
Show child attributes
Example:
{ "size": 10 }
⌘I